library(ggplot2)

data=read.csv("stats_Rscript.csv")
protdata=read.csv("stats_ProtRscript.csv")

t2<-as.matrix(data[,7:8])
### add the first column from report as row names
rownames(t2)<-data[,2]
### open the gplots library
library(gplots)
#### initialize a new .tiff image with resolution 600
tiff(file='heatmap.tiff',res= 600, width = 3, units = "in", height = 37)
#### make heatmap without row re-ordering
heatmap.2(x=t2, Rowv = F, dendrogram="none", col=bluered, scale="column", cexRow=0.2, cexCol=2, keysize=3, density.info=c("none"), trace="none")
dev.off()


scatterplot=ggplot(data=data, aes(x=Qvalue, y=LogRatio))+geom_point()+xlab("Q-value < 0.01")+ylab("Fold Change, Log 2")
ggsave(filename = 'scatterplot.png')


box=ggplot(data=protdata, aes(x=Protein, y=Ratio))+geom_boxplot(outlier.shape = NA)+theme(axis.text.x = element_text(angle=60, hjust=1))+xlab("Uniprot Accession Numbers")+ylab("Fold Change")
ggsave(filename = 'box.pdf', width=45, height=15)


